const randInt = (min, max) => {
  return Math.floor(Math.random() * (max - min + 1)) + min;
}
function bubble(e) {
	let mouseX, mouseY;
	let event = e;
	if (!e) {
		event = window.event;
		mouseX = window.innerWidth/2;
		mouseY = window.innerHeight/2;
	}
	if (event && (event.pageX || event.pageY)) {
		mouseX = event.pageX;
		mouseY = event.pageY;
	}
	else if (event && (event.clientX || event.clientY))    {
		mouseX = event.clientX + document.body.scrollLeft
			+ document.documentElement.scrollLeft;
		mouseY = event.clientY + document.body.scrollTop
			+ document.documentElement.scrollTop;
	}
	let pp = '';
	let fadeOut = randInt(1500,2500);
	for (let i=0; i<randInt(1,2); i++) {
		let x = 50;
		let y = 55;
		let w = randInt(5, 15);
		let h = randInt(2, 10);
		let d1 = `M ${x} ${y} q ${randInt(w/1.1, w/8)} ${h} ${w} 0`;
		let d2 = `M ${x} ${y + randInt(0,h)} q ${randInt(w/10, w/1.1)} -${h} ${w} 0`;
		let rot = randInt(0,360);
		let sw = randInt(50, 100)/200;
		let p = `<g transform="rotate(${randInt(0,360)} 50 50)">
		<circle cx="50" cy="50" r="2" stroke="rgba(130, ${randInt(130, 175)}, ${randInt(130, 155)}, 0.8)" stroke-width="${sw}" fill="url(#grad)">
			<animate attributeName="r" values="${randInt(0,2)}; ${w}" dur="${fadeOut}ms" begin="0s" repeatCount="none" fill="freeze"  keyTimes="0;1" keySplines="${randInt(0,100)/100} ${randInt(0,100)/100} ${randInt(0,100)/100} ${randInt(0,100)/100}" calcMode="spline" />
			<animateTransform attributeName="transform" attributeType="XML" type="rotate" values="${rot} ${x} ${y}; ${rot} ${x} ${y + randInt(5,15)}" dur="${fadeOut}ms" begin="0s" fill="freeze" repeatCount="none" />
			<animate attributeName="opacity" values="1; 1; 1; 1; 0; 0" dur="${fadeOut}ms" begin="0s" fill="freeze" repeatCount="none" />
						</g>`;
		pp += p;
	}
	const svg = document.createElementNS("http://www.w3.org/2000/svg", "svg");
	svg.setAttribute("viewBox", "0 0 100 100");
	svg.setAttribute("style", `width: 100%; height: 100%; position: fixed; height: 150px; width: 150px; transform: translate(-50%,-50%); left: ${mouseX}px; top: ${mouseY}px; z-index: 99999`);
	svg.innerHTML = `<radialGradient id="grad">
 <stop offset="50%" stop-color="rgba(255,255,255,0)" />
 <stop offset="100%" stop-color="rgba(255,255,255,0.5)" />
</radialGradient>${pp}`;
	svg.classList.add('c');
	svg.setAttribute('animation-duration', `${fadeOut + 1000}ms !important`);
	document.body.appendChild(svg);
	setTimeout(() => {svg?.remove();}, fadeOut);
}
document.addEventListener("mousemove", (event) => {bubble(event)});
document.addEventListener("touchmove", (event) => {bubble(event)});
for (let i=0; i<20; i++) {
	bubble();
}